Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# DocLnk Class Reference

The DocLnk class represents loaded document references. More...

`#include <qtopia/applnk.h>`

Inherits AppLnk.

List of all member functions.

## Public Members

- DocLnk ()
- DocLnk ( const DocLnk & o )
- DocLnk ( const QString & file )
- DocLnk ( const QString & file, bool may_be_desktopfile )
- virtual ~DocLnk ()
- DocLnk & operator= ( const DocLnk & other )

## Detailed Description

The DocLnk class represents loaded document references.

See also Qtopia Classes.

## Member Function Documentation

### DocLnk::DocLnk ()

Constructs an invalid DocLnk.

### DocLnk::DocLnk ( const DocLnk & o )

Copies o.

### DocLnk::DocLnk ( const QString & file )

Constructs a DocLnk from a valid .desktop file or a new .desktop file for other files.

### DocLnk::DocLnk ( const QString & file, bool may_be_desktopfile )

Constructs a DocLnk from a valid .desktop file or a new .desktop file for other files. If may_be_desktopfile is TRUE, then an attempt is made to read file as a .desktop file; if that fails it is read as a normal file.

### DocLnk::~DocLnk ()`[virtual]`

Destroys the DocLnk. Just like AppLnk objects, a run-time error occurs if the DocLnk is a member of a DocLnkSet (or AppLnkSet).

### DocLnk & DocLnk::operator= ( const DocLnk & other )

Returns a DocLnk that is a deep copy of other.

First availability: Qtopia 1.6

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.